Skip to main content
GET
List carrier documents
Retrieve all uploaded documents associated with a specific Carrier by its unique carrierId.

Request Parameters

Example cURL Request

Replace {version} with the API version, {carrierId} with the actual carrier ID, and YOUR_ACCESS_TOKEN with a valid token.

Response Body

Array of document objects:

Example Response (200 OK)


Rate Limits

All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information, see the Rate Limits section.

Try It Out

This page is interactive, allowing you to try a request by specifying the API version and carrierId in the URL path. As you fill out the parameters, the cURL command on the right side of the page will be automatically updated. Alternatively, you can directly edit the cURL command. ⚠️ Don’t forget: make sure to authorize yourself before trying a request.

Authorizations

Authorization
string
header
required

OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.

Path Parameters

carrierId
string
required
version
string
default:1.0
required

API version (e.g., 1.0)

Example:

"1.0"

Response

OK

id
string
required
AttachmentPath
string
required
AttachmentType
string
required
ParentId
string
required
ParentType
string
required
AttachmentSize
integer<int64> | null
UploadedAt
string<date-time> | null
UploadedBy
string | null
DownloadUrl
string | null
ExpiresAt
string<date-time> | null